#include <iostream>
#include <algorithm>
#include <string>
#include <cmath>
#include <vector>

typedef std::vector<std::string> line;

static bool reading = true;

line read_line()
{
	line l;
	char ch = 1;
	std::string temp_string;

	while ((ch = std::getc(stdin)) != '\n')
	{
		if (ch == '\0' || ch == EOF)
		{
			reading = false;
			break;
		}

		if (ch == ',')
		{
			l.push_back(temp_string);
			temp_string.clear();
			continue;
		}

		if (ch == '"')
		{
			long temp_s = temp_string.size();
			for (char pred = ch; true; pred = ch)
			{
				ch = std::getc(stdin);

				if (ch == EOF || ch == '\n')
				{
					temp_string.insert(temp_string.begin() + temp_s, '"');
					break;
				}

				if (ch == '"')
				{
					if ((ch = std::getc(stdin)) != '"')
						break;
				}
				temp_string.push_back(ch);
			}
			std::ungetc(ch, stdin);
			continue;
		}

		temp_string.push_back(ch);
	}

	l.push_back(temp_string);
	temp_string.clear();

	return l;
}

std::string getElFromLine(line& l, int i)
{
	if (i >= l.size())
		return "";
	return l[i];
}

int main()
{
	std::vector<line> table;
	std::vector<int> cols_width = std::vector<int>(100, { 0 });
	int max_size = 0;
	while (reading)
	{
		line l = read_line();
		table.push_back(l);
	}

	for (auto l : table)
	{
		if (l.size() > max_size)
			max_size = l.size();

		for (int i = 0; i < l.size(); ++i)
			if (cols_width[i] < l[i].length())
				cols_width[i] = l[i].length();
	}

	for (auto l : table)
	{
		for (int i = 0; i < max_size; ++i)
		{
			std::printf("%s", getElFromLine(l, i).c_str());
			for (int j = 0; j < cols_width[i] - getElFromLine(l, i).length(); ++j)
				std::printf(" ");
			if (i + 1 < max_size)
				std::printf("|");
		}
		std::printf("\n");
	}

	return 0;
}