#include <stdio.h>
#include <assert.h>
#include <string.h>
#include <inttypes.h>
#include <algorithm>
#include <vector>
#include <string>

#include <iostream>

using std::string;

std::vector<string> parse_line(string s) {
    std::vector<string> res;
    res.reserve(110);

    res.emplace_back("");

    int state = 0;
    for (char ch : s) {
        if (state == 0) {
            if (ch == ',')
                res.emplace_back("");
            else if (ch == '"')
                state = 1;
            else
                res.back().push_back(ch),
                state = 11;
        } else if (state == 1) {
            if (ch == '"')
                state = 2;
            else
                res.back().push_back(ch);
        } else if (state == 2) {
            if (ch == ',')
                res.emplace_back(""),
                state = 0;
            else
                res.back().push_back(ch),
                state = 1;
        } else if (state == 11) {
            if (ch == ',')
                res.emplace_back(""),
                state = 0;
            else
                res.back().push_back(ch);
        } else exit(1);
    }

    return res;
}

int main() {
    //freopen("input.txt", "r", stdin);

    std::vector<std::vector<string> > table;
    table.reserve(110);

    string buffer;
    while (std::cin)
        std::getline(std::cin, buffer),
        table.push_back(parse_line(buffer));

    int sz = 0;
    for (auto& line : table)
        sz = std::max(sz, (int)line.size());

    for (auto& line : table)
        while((int)line.size() < sz)
            line.emplace_back("");

    std::vector<int> sizes(sz);

    for (auto& line : table)
        for (int i = 0; i < sz; ++i)
            sizes[i] = std::max(sizes[i], (int)line[i].length());

    for (auto& line : table)
        for (int i = 0; i < sz; ++i)
            while ((int)line[i].length() < sizes[i])
                line[i].push_back(' ');

    for (auto& line : table) {
        for (int i = 0; i < sz; ++i) {
            if (i) printf("|");
            printf("%s", line[i].c_str());
        }
        printf("\n");
    }

    return 0;
}
