#include <iostream>
#include <stdio.h>

using namespace std;

int tree[500000];
int upd[500000];     //All elements in upd is equal -1 now.
int sz = 131072;

void Push(int v, int vl, int vr)
{
    if(upd[v] == -1)
        return;
    if(v < sz)
        upd[v*2] = upd[v*2+1] = upd[v];
    tree[v] = (vr - vl + 1)*upd[v];
    upd[v] = -1;
}

void Update(int v, int vl, int vr, int L, int R, int x)
{
    if(L > R)
        return;
    if(L == vl and R == vr){
        upd[v] = x;
        tree[v] = x*(vr - vl + 1);
        return;
    }
    Push(v, vl, vr);
    int mid = (vl + vr)/2;
    Update(v*2, vl, mid, L, min(mid, R), x);
    Update(v*2+1, mid+1, vr, max(L, mid+1), R, x);
    tree[v] = tree[v*2] + tree[v*2+1];
}

int Sum(int v, int vl, int vr, int L, int R)
{
    if(L > R)
        return 0;
    if(L == vl and R == vr){
        Push(v, vl, vr);
        return tree[v];
    }
    Push(v, vl, vr);
    int mid = (vl + vr)/2;
    return Sum(v*2, vl, mid, L, min(mid, R)) + Sum(v*2+1, mid+1, vr, max(mid+1, L), R);
}

int BinSearch1(int L, int R)
{
    int C = L;
    int mid;
    while(L < R){
        mid = (L + R + 1)/2;
        if(Sum(1, 1, sz, C, mid) == mid - C + 1)
            L = mid;
        else
            R = mid-1;
    }
    return L;
}

int BinSearch0(int L, int R)
{
    int C = L;
    int mid;
    while(L < R){
        mid = (L + R + 1)/2;
        if(Sum(1, 1, sz, C, mid) == 0)
            L = mid;
        else
            R = mid - 1;
    }
    return L;
}

int Add(int a)
{
    if(Sum(1, 1, sz, a, a) == 0){
        Update(1, 1, sz, a, a, 1);
    }
    else{
        int ans = BinSearch1(a, sz);
        Update(1, 1, sz, a, ans, 0);
        Update(1, 1, sz, ans + 1, ans + 1, 1);
    }
    return Sum(1, 1, sz, 1, sz);
}

int Sub(int a)
{
    if(Sum(1, 1, sz, a, a) == 1){
        Update(1, 1, sz, a, a, 0);
    }
    else{
        int ans = BinSearch0(a, sz);
        Update(1, 1, sz, a, ans, 1);
        Update(1, 1, sz, ans + 1, ans + 1, 0);
    }
    return Sum(1, 1, sz, 1, sz);
}

int main()
{
    for(int i = 1; i < 2*sz; i++)
        upd[i] = -1;
    int n, a;
    string s;
    scanf("%d", &n);
    for(int i = 0; i < n; i++){
        cin >> s;
        scanf("%d", &a);
        if(s == "add")
            printf("%d\n", Add(a+1));
        else
            printf("%d\n", Sub(a+1));
    }
    return 0;
}
