#include <iostream>
#include <algorithm>
#include <vector>
using namespace std;

#define LEFT(v) ((v << 1) + 1)
#define RIGHT(v) ((v << 1) + 2)

int t[3][262143];
int t_mod[3][262143];
bool used[3][262143];
int k = 131071;

void push(int n, int v)
{
    if (used[n][v])
    {
        used[n][LEFT(v)] = used[n][RIGHT(v)] = true;
        used[n][v] = false;
        t_mod[n][LEFT(v)] = t_mod[n][RIGHT(v)] = t_mod[n][v];
    }
}

void update(int n, int l, int r, int x, int v = 0, int vl = 0, int vr = k)
{
    if (l > r) return;
    if (l == vl && r == vr)
    {
        used[n][v] = true;
        t_mod[n][v] = x;
        if (n)
            t[n][v] = x;
        else t[n][v] = x * (vr - vl + 1);
        return;
    }
    push(n, v);
    int m = (vl + vr) / 2;
    update(n, l, min(m, r), x, LEFT(v), vl, m);
    update(n, max(l, m + 1), r, x, RIGHT(v), m + 1, vr);
    if (n == 1)
        t[1][v] = min(t[1][LEFT(v)], t[1][RIGHT(v)]);
    else if (n == 2)
        t[2][v] = max(t[2][LEFT(v)], t[2][RIGHT(v)]);
    else
        t[0][v] = t[0][LEFT(v)] + t[0][RIGHT(v)];
}
int query(int n, int l, int r, int v = 0, int vl = 0, int vr = k)
{
    if (l > r)
        if (n == 1) return 1;
        else return 0;
    if (l == vl && r == vr)
        if (used[n][v])
            if (n)
                return t_mod[n][v];
            else
                return t_mod[0][v] * (vr - vl + 1);
        else
            return t[n][v];
    push(n, v);
    int m = (vl + vr) / 2;
    if (n == 1)
        return min(query(n, l, min(m, r), LEFT(v), vl, m), query(n, max(l, m + 1), r, RIGHT(v), m + 1, vr));
    else if (n == 2)
        return max(query(n, l, min(m, r), LEFT(v), vl, m), query(n, max(l, m + 1), r, RIGHT(v), m + 1, vr));
    else
        return query(n, l, min(m, r), LEFT(v), vl, m) + query(n, max(l, m + 1), r, RIGHT(v), m + 1, vr);
}

int query_v(int n, int v)
{
    vector<char> b;
    while (v)
    {
        b.push_back(~v & 1);
        v = (v - 1) / 2;
    }
    int l = 0, r = k;
    for (int i = b.size() - 1; i >= 0; --i)
    {
        int m = (l + r) / 2;
        if (b[i])
            l = m + 1;
        else
            r = m;
    }
    return query(n, l, r);
}
int find_z(int f)
{
    f += k;
    while (query_v(1, f))
    {
        if (~f & 1) ++f;
        f = (f - 1) >> 1;
    }
    while (f < k)
        if (!query_v(1, LEFT(f)))
        f = LEFT(f);
    else f = RIGHT(f);
    return f - k;
}
int find_o(int f)
{
    f += k;
    while (!query_v(2, f))
    {
        if (~f & 1) ++f;
        f = (f - 1) >> 1;
    }
    while (f < k)
        if (query_v(2, LEFT(f)))
        f = LEFT(f);
    else f = RIGHT(f);
    return f - k;
}

char s[4];
int main()
{
    int n, p;
    cin >> n;
    for (int i = 0; i < n; ++i)
    {
        cin >> s >> p;
        int p1;
        if (s[0] == 'a')
        {
            p1 = find_z(p);
            for (int j = 0; j < 3; ++j)
            update(j, p, p1 - 1, 0), update(j, p1, p1, 1);
        }
        else
        {
            p1 = find_o(p);
            for (int j = 0; j < 3; ++j)
            update(j, p, p1 - 1, 1), update(j, p1, p1, 0);
        }
        cout << query(0, 0, 100000) << endl;
    }
}
